Canon Canoscan Lide 110

Questions about printers and scanners, hardware-related and/or software-related can be asked here, as well as posting of tutorials.
Message
Author
User avatar
smilliken
Forum Guide
Forum Guide
Posts: 1969
Age: 57
Joined: Tue Feb 06, 2007 11:47 pm

Canon Canoscan Lide 110

#1 Postby smilliken » Fri Sep 30, 2011 1:24 pm

Picked this light weight unit up to scan stamps into a stamp collecting software which has to be run under Windows. Installation went well and thought I would try it in Mepis 11, (upgraded to 4.6.5). I installed sane and xsane, opened Xsane and chose Canon scanner and all works just fine. It is recognized in all of the installed graphic programs and works in them all.

The 4 buttons on the front don't respond, but the probably is built for the windows software.

Seems to be a nice small footprint scanner, and there is no power cord to be hassled over.
There is no "Ctrl+Z" in life!
Dell 1525, MX15 XFCE4 & Win 10
HP DV4-1118 Mepis 12 4.14 & Win 10
HP CP1215/Brother DCP-7065DN
Linux User# 4523410

User avatar
DBeckett
Forum Veteran
Forum Veteran
Posts: 3064
Joined: Sat May 16, 2009 3:59 pm

Re: Canon Canoscan Lide 110

#2 Postby DBeckett » Fri Sep 30, 2011 1:33 pm

.
I have a CanoScan Lide 500F that is still not supported. That's one reason I still run Win2K in VirtualBox, where the scanner works fine.

I also have a Pixma MP250 combo, which is supported.

Support for Canon is hit or miss.
Gigabyte 990FXA-UD3, AMD FX-6100 hex-core, 3.3GHz, 8G, Radeon HD6570

User avatar
Frank_v7
Forum Regular
Forum Regular
Posts: 394
Age: 69
Joined: Wed Jul 12, 2006 11:55 am

Re: Canon Canoscan Lide 110

#3 Postby Frank_v7 » Fri Jan 06, 2012 6:56 pm

Just got my LiDE 110 delivered and xsane (Mepis 11) won't detect it. I've installed sane and xsane of course and even simple scan. The Ubuntu forum mentioned a recent upgrade to sane / xsane that the LiDE 110 needed. Maybe the upgrade to 4.6.5 did the trick?

User avatar
benny_fletch
Forum Regular
Forum Regular
Posts: 677
Joined: Sat Jun 09, 2007 4:22 pm

Re: Canon Canoscan Lide 110

#4 Postby benny_fletch » Fri Jan 06, 2012 7:13 pm

Frank_v7 wrote:Just got my LiDE 110 delivered and xsane (Mepis 11) won't detect it. I've installed sane and xsane of course and even simple scan. The Ubuntu forum mentioned a recent upgrade to sane / xsane that the LiDE 110 needed. Maybe the upgrade to 4.6.5 did the trick?


You will want to install the libsane version (1.0.22) from squeeze-backports, instructions are in the following thread (#2 by kmathern):
http://forum.mepiscommunity.org/viewtopic.php?f=55&t=31720&p=285204&hilit=Sane#p285204

Afterwards, reboot and you should be able to use your new scanner.
Last edited by benny_fletch on Tue Jan 10, 2012 11:22 am, edited 1 time in total.
II: Kubuntu 14.04 & Windows 7 | 3.4GHz AMD Phenom II X4 | ASUS M4A785TD-V | 8GB DDR3 | nVidia GeForce GTX550
KAVAR: Kubuntu 14.04 | Dell Vostro 1000 | 1.8GHz AMD Athlon 64 X2 | 4GB DDR2 | ATI Radeon Xpress 1150

User avatar
Frank_v7
Forum Regular
Forum Regular
Posts: 394
Age: 69
Joined: Wed Jul 12, 2006 11:55 am

Re: Canon Canoscan Lide 110

#5 Postby Frank_v7 » Fri Jan 06, 2012 7:50 pm

Works fine ... now :thumbup: For what I do simple scan is fine, but xsane is a "full featured" scan program. Thanks!

User avatar
Frank_v7
Forum Regular
Forum Regular
Posts: 394
Age: 69
Joined: Wed Jul 12, 2006 11:55 am

Re: Canon Canoscan Lide 110

#6 Postby Frank_v7 » Tue Jan 10, 2012 10:45 am

What happened? I got the updated Sane 1.0.22 from squeeze-backports on my desktop and it worked fine. When I decided to put it on my laptop the updated package (1.0.22) has "dissapeared" from the squeeze-backports repo and all that shows is the 1.0.14 version. Also libsane and sane-utils are the 1.0.22 version. Could they have withdrawn the 1.0.22 sane package? At least the scanner works on my desktop computer. :crossfingers:

User avatar
richb
Administrator
Posts: 12906
Age: 71
Joined: Wed Jul 12, 2006 2:17 pm

Re: Canon Canoscan Lide 110

#7 Postby richb » Tue Jan 10, 2012 10:50 am

You may want to check you "prefer version" settings in Synaptic. Either set it to prefer highest version, or squeeze backports.
Forum Rules
Guide - How to Ask for Help

Rich

Laptop: Acer V5-572G: Intel i5, 12 GIG mem, Intel graphics, SanDisk SSD, 256GB
Virtualbox: Win 7
Desktop: MX-15- 64, AMD A8 7600 FM2+ CPU R7 Graphics, fglrx driver, 16 GIG Mem. Samsung EVO SSD 250 GB

User avatar
benny_fletch
Forum Regular
Forum Regular
Posts: 677
Joined: Sat Jun 09, 2007 4:22 pm

Re: Canon Canoscan Lide 110

#8 Postby benny_fletch » Tue Jan 10, 2012 11:00 am

Frank_v7 wrote:What happened? I got the updated Sane 1.0.22 from squeeze-backports on my desktop and it worked fine. When I decided to put it on my laptop the updated package (1.0.22) has "dissapeared" from the squeeze-backports repo and all that shows is the 1.0.14 version. Also libsane and sane-utils are the 1.0.22 version. Could they have withdrawn the 1.0.22 sane package? At least the scanner works on my desktop computer. :crossfingers:


You should still be able to get the scanner working by installing only the libsane and sane-utils packages (and possibly just libsane). After your post I checked my own system, I have sane 1.0.14-9, libsane 1.0.22-3~bpo60+1, and sane-utils 1.0.22-3~bpo60+1 installed and have a working Canon LiDE 210. If I recall, libsane is the actual driver package, so as I said earlier in this post, you might only need to install it. If it works, I will edit my original post. Sorry for the misinformation.
II: Kubuntu 14.04 & Windows 7 | 3.4GHz AMD Phenom II X4 | ASUS M4A785TD-V | 8GB DDR3 | nVidia GeForce GTX550
KAVAR: Kubuntu 14.04 | Dell Vostro 1000 | 1.8GHz AMD Athlon 64 X2 | 4GB DDR2 | ATI Radeon Xpress 1150

User avatar
Frank_v7
Forum Regular
Forum Regular
Posts: 394
Age: 69
Joined: Wed Jul 12, 2006 11:55 am

Re: Canon Canoscan Lide 110

#9 Postby Frank_v7 » Tue Jan 10, 2012 11:05 am

benny_fletch wrote:
Frank_v7 wrote:What happened? I got the updated Sane 1.0.22 from squeeze-backports on my desktop and it worked fine. When I decided to put it on my laptop the updated package (1.0.22) has "dissapeared" from the squeeze-backports repo and all that shows is the 1.0.14 version. Also libsane and sane-utils are the 1.0.22 version. Could they have withdrawn the 1.0.22 sane package? At least the scanner works on my desktop computer. :crossfingers:


You should still be able to get the scanner working by installing only the libsane and sane-utils packages (and possibly just libsane). After your post I checked my own system, I have sane 1.0.14-9, libsane 1.0.22-3~bpo60+1, and sane-utils 1.0.22-3~bpo60+1 installed and have a working Canon LiDE 210. If I recall, libsane is the actual driver package, so as I said earlier in this post, you might only need to install it. If it works, I will edit my original post. Sorry for the misinformation.
Well libsane and sane-utils are at 1.0.22. I'll reload all and reboot.

User avatar
Frank_v7
Forum Regular
Forum Regular
Posts: 394
Age: 69
Joined: Wed Jul 12, 2006 11:55 am

Re: Canon Canoscan Lide 110

#10 Postby Frank_v7 » Tue Jan 10, 2012 11:19 am

You're right. It seems libsane 1.0.22 does the trick. I still wonder what happened to sane 1.0.22. :confused: And thank you again!


Return to “Print/Scan”

Who is online

Users browsing this forum: No registered users and 1 guest